#!/bin/bash -x

STUDENTDIR=$1
INPUTDIR=$2
TESTOUT=$3



# use this function to show an error message with usage information.
errormsg() {
   echo "Usage:"
   echo "$0 <studentdir> <datadir> <outputdir>"
}

# params tests
testparam() {
RETVAL=$1
TESTNAME=$2

if [ $RETVAL ]; then 
     echo "$TESTNAME: wrong exit"
   else
     echo "$TESTNAME: right exit"    
fi

}

SHELLSCRIPT=${STUDENTDIR}/pokemoninfo.sh
# needs sed to get the username from the dir
#STUDENTNAME=$(git log --pretty=format:%an HEAD -- ${SHELLSCRIPT}) | head
#OUTFILE="${TESTOUT}/${STUDENTNAME}.out"

if [[ $# -lt 3 ]]; then
	echo "Error: Missing parameters."
	errormsg
	exit 1
fi

# Ex 1

# test wrong input
# no param

$SHELLSCRIPT

RETVAL=$?

testparam $RETVAL 'noparam'

# bad param
$SHELLSCRIPT blahblah

RETVAL=$?

testparam $RETVAL 'Wrongparam'

# Ex 2
# not dir
$SHELLSCRIPT /etc/services

RETVAL=$?

testparam $RETVAL 'Notdir'

# execute code
${SHELLSCRIPT} ${INPUTDIR}

# diffs
#diff allplatforms.csv ../result/allplatforms.csv
#diff allplatforms.ordered.csv ../result/allplatforms.ordered.csv
